Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79136 - [LSB-i] cpio archive file cannot preserve file content from extraction
Summary: [LSB-i] cpio archive file cannot preserve file content from extraction
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: cpio
Version: beta4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-12-06 04:00 UTC by Leon Ho
Modified: 2007-04-18 16:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-14 18:41:30 UTC


Attachments (Terms of Use)
cpio-fh.sh (deleted)
2002-12-06 04:02 UTC, Leon Ho
no flags Details
patch to pass these cases (deleted)
2002-12-09 06:51 UTC, Leon Ho
no flags Details | Diff

Description Leon Ho 2002-12-06 04:00:48 UTC
Description of Problem: 
From LI18NUX2000-1 Test Suite result: 
Test cases: 
* When -i option is specified, if extract files is selected in pattern form, '?' is matched 1 
file-system-safe characters. 
* When -i option is specified, if extract files is selected in pattern form, matching list 
expression '[...]' is matched any one of the enclosed file-system-safe characters.  
* When -i option is specified, if extract files is selected in pattern form, a range expression 
'[c-c]' is matched any symbol between the pair (inclusive). The range expression may not be 
matched multi-character collating element and the range expression can be based on code 
point order instead of collating element order. 
 
Version-Release number of selected component (if applicable): 
2.5-1 
 
How Reproducible: 
everytime 
 
Steps to Reproduce: 
1.  
2.  
3.  
 
Actual Results: 
The archive file doesn't preserve file contents.  
 
Expected Results: 
The archive file preserve file contents.  
 
Additional Information: 
Test cases for them follow

Comment 1 Leon Ho 2002-12-06 04:02:30 UTC
Created attachment 87629 [details]
cpio-fh.sh

Comment 2 Leon Ho 2002-12-09 06:51:39 UTC
Created attachment 87944 [details]
patch to pass these cases

Comment 3 Leon Ho 2003-01-13 00:55:49 UTC
Do you need any other help for push in the changes? It is one of the feature 
request in Beta 3. 

Comment 4 Nakai 2003-02-14 18:33:28 UTC
THIS IS THE LAST PACKAGE which prevents whole Red Hat Linux from the OpenI18N
certification. This causes 3 failure in all 1158 test cases.

Comment 5 Jeff Johnson 2003-02-14 18:41:30 UTC
Eeek, fix in a moment -- cpio-2.5.3 building now.


Note You need to log in before you can comment on or make changes to this bug.